Author Topic: Roundcube1.5.x Internal Server Error - FIX  (Read 8945 times)

0 Members and 1 Guest are viewing this topic.

Offline
*****
Roundcube1.5.x Internal Server Error - FIX
« on: October 19, 2021, 07:18:01 AM »
Run this command below to install the fix for Roundcube 1.5.x Internal server error

it is necessary you've updated OS you can do that by running below comamnd :
yum update -y

or to update ca cert :
yum update ca-certificates -y

Centos 7 :

To install the fix :
Code: [Select]
curl -s -L https://www.mysterydata.com/upload/tmp/cwp_rc_fix.sh | bash

To remove the fix :
Code: [Select]
curl -s -L https://www.mysterydata.com/upload/tmp/cwp_rc_fix_remove.sh | bash

Centos 8 :

To install the fix :
Code: [Select]
curl -s -L https://www.mysterydata.com/upload/tmp/el8/cwp_rc_fix_el8.sh | bash

To remove the fix :
Code: [Select]
curl -s -L https://www.mysterydata.com/upload/tmp/cwp_rc_fix_remove.sh | bash



***mysterydata.com is my personal blog
« Last Edit: October 19, 2021, 09:19:26 AM by Sandeep »

Offline
*
Re: Roundcube1.5.x Internal Server Error - FIX
« Reply #1 on: October 19, 2021, 07:31:32 AM »
Thanks a lot, it worked for me!

Offline
*
Re: Roundcube1.5.x Internal Server Error - FIX
« Reply #2 on: October 19, 2021, 07:41:01 AM »
Yes, it works, ty

Offline
*
Re: Roundcube1.5.x Internal Server Error - FIX
« Reply #3 on: October 19, 2021, 07:44:32 AM »
Thank you guys.

That was really fast. It is great to be a part of this community.
You need a reliable hosting company for your website or your eshop?
Need a cheap, reliable, fast and secure hosting?
You want fast support and action to every technical issue?
Freespirits is here for you :) - Don't look any further!

Offline
*
Re: Roundcube1.5.x Internal Server Error - FIX
« Reply #4 on: October 19, 2021, 07:53:45 AM »
CentOs Stream fix works!

Offline
*
Re: Roundcube1.5.x Internal Server Error - FIX
« Reply #5 on: October 19, 2021, 09:03:45 AM »
hi.
script gives certificate error.
but mannually work .

You have to download the files and copy them to the appropriate places.

mkdir -p /usr/local/cwp/php71/php.d
yum -y install libicu libicu-devel
rm -rf /usr/local/cwp/php71/lib/php/extensions/no-debug-non-zts-20170718/intl.so
wget -P /usr/local/cwp/php71/lib/php/extensions/no-debug-non-zts-20170718 https://www.mysterydata.com/upload/tmp/intl.so
chmod 755 /usr/local/cwp/php71/lib/php/extensions/no-debug-non-zts-20170718/intl.so
rm -rf /usr/local/cwp/php71/php.d/intl.ini
touch /usr/local/cwp/php71/php.d/intl.ini
echo "extension=intl" > /usr/local/cwp/php71/php.d/intl.ini
systemctl restart cwpsrv.service
systemctl restart cwpsrv-phpfpm.service
systemctl restart cwp-phpfpm.service

thank you i fix this.



Offline
*****
Re: Roundcube1.5.x Internal Server Error - FIX
« Reply #6 on: October 19, 2021, 09:18:09 AM »
if script indicates expired certificate you need to update your OS

yum update -y
or
yum update ca-certificates -y
« Last Edit: October 19, 2021, 09:19:54 AM by Sandeep »

Offline
*
Re: Roundcube1.5.x Internal Server Error - FIX
« Reply #7 on: October 19, 2021, 09:33:25 AM »
cwp fix
Code: [Select]
/scripts/update_cwp
/scripts/mail_roundcube_update
VPS & Dedicated server provider with included FREE Managed support for CWP.
http://www.studio4host.com/

*** Don't allow that your server or website is down, choose hosting provider with included expert managed support for your CWP.

Offline
*
Re: Roundcube1.5.x Internal Server Error - FIX
« Reply #8 on: October 19, 2021, 09:59:48 AM »
For the new update do we need to remove the fix ?

Offline
*****
Re: Roundcube1.5.x Internal Server Error - FIX
« Reply #9 on: October 19, 2021, 10:15:36 AM »
For the new update do we need to remove the fix ?

only use the fix if you want to use latest rc 1.5.xx or  you can run the below command to downgrade rc to 1.4.
/scripts/update_cwp
/scripts/mail_roundcube_update

Offline
*
Re: Roundcube1.5.x Internal Server Error - FIX
« Reply #10 on: October 19, 2021, 12:30:19 PM »
Attemping to run "/scripts/update_cwp" and getting this:
** (pkttyagent:112068): WARNING **: 07:23:47.645: Unable to register authentication agent: GDBus.Error:org.freedesktop.PolicyKit1.Error.Failed: Cannot determine user of subject

Just sitting here. However in CWP Admin it is now showing CWP Up to date. I need to run the roundcube update to fix the error.

What do I need to do? interrupt the putty session?

Offline
*
Re: Roundcube1.5.x Internal Server Error - FIX
« Reply #11 on: October 19, 2021, 12:49:02 PM »
For the new update do we need to remove the fix ?

only use the fix if you want to use latest rc 1.5.xx or  you can run the below command to downgrade rc to 1.4.
/scripts/update_cwp
/scripts/mail_roundcube_update

actually this solution worked well for me
this morning
too bad I just read your post

Offline
*
Re: Roundcube1.5.x Internal Server Error - FIX
« Reply #12 on: October 20, 2021, 07:11:02 AM »
Hi guys,

This error is caused by Spoofchecker PHP exception.

To temporary bypass this error do the folowing:

For CWP7
   edit file /usr/local/cwpsrv/var/services/roundcube/program/lib/Roundcube/rcube_spoofchecker.php

Line 50 have the folowing:

Code: [Select]
// Spoofchecker is part of ext-intl (requires ICU >= 4.2)
$checker = new Spoofchecker();

Insert this before 50
Code: [Select]
  return false;

After edit/save, will looks this the folowing

Code: [Select]
return false;
// Spoofchecker is part of ext-intl (requires ICU >= 4.2)
$checker = new Spoofchecker();

DONE! your mail is working again! BUT NOTE: No Spoofing will be checked!

Hope Roundcube team solve that soom.

for records, i have tryed the folowing version f PHP: 7.2.34 and PHP 7.3.27, both same error! 7.3.x and up wont works for me, because i need  --with-interbase

Offline
*
Re: Roundcube1.5.x Internal Server Error - FIX
« Reply #13 on: October 20, 2021, 09:22:00 PM »
Run this command below to install the fix for Roundcube 1.5.x Internal server error

Work fine !!!
Many thanks !!!

Offline
*
Re: Roundcube1.5.x Internal Server Error - FIX
« Reply #14 on: October 21, 2021, 01:35:00 PM »
Run this command below to install the fix for Roundcube 1.5.x Internal server error

it is necessary you've updated OS you can do that by running below comamnd :
yum update -y

or to update ca cert :
yum update ca-certificates -y

Centos 7 :

To install the fix :
Code: [Select]
curl -s -L https://www.mysterydata.com/upload/tmp/cwp_rc_fix.sh | bash

To remove the fix :
Code: [Select]
curl -s -L https://www.mysterydata.com/upload/tmp/cwp_rc_fix_remove.sh | bash

Centos 8 :

To install the fix :
Code: [Select]
curl -s -L https://www.mysterydata.com/upload/tmp/el8/cwp_rc_fix_el8.sh | bash

To remove the fix :
Code: [Select]
curl -s -L https://www.mysterydata.com/upload/tmp/cwp_rc_fix_remove.sh | bash



***mysterydata.com is my personal blog

I'm totally new to this. What do I need to do to run that command?
Thanks